org.apache.hc.client5.http.async.methods

## Class BasicHttpRequests

- java.lang.Object
- - org.apache.hc.client5.http.async.methods.BasicHttpRequests

    public final class BasicHttpRequests
    extends Object

Common HTTP methods using `BasicHttpRequest` as a HTTP request message representation.

Since:
  5.0

### Constructor Summary

Constructors
Constructor and Description
`BasicHttpRequests()`

### Method Summary

Methods
`static org.apache.hc.core5.http.message.BasicHttpRequest` `create(org.apache.hc.core5.http.Method method, org.apache.hc.core5.http.HttpHost host, String path)` Creates a request object of the exact subclass of `BasicHttpRequest`.
`static org.apache.hc.core5.http.message.BasicHttpRequest` `create(org.apache.hc.core5.http.Method method, String uri)` Creates a request object of the exact subclass of `BasicHttpRequest`.
`static org.apache.hc.core5.http.message.BasicHttpRequest` `create(org.apache.hc.core5.http.Method method, URI uri)` Creates a request object of the exact subclass of `BasicHttpRequest`.
`static org.apache.hc.core5.http.message.BasicHttpRequest` `create(String method, String uri)` Creates a new BasicHttpRequest for the given `method` and `String` URI.
`static org.apache.hc.core5.http.message.BasicHttpRequest` `create(String method, URI uri)` Creates a new BasicHttpRequest for the given `method` and `URI`.
`static org.apache.hc.core5.http.message.BasicHttpRequest` `delete(org.apache.hc.core5.http.HttpHost host, String path)`
`static org.apache.hc.core5.http.message.BasicHttpRequest` `delete(String uri)`
`static org.apache.hc.core5.http.message.BasicHttpRequest` `delete(URI uri)`
`static org.apache.hc.core5.http.message.BasicHttpRequest` `get(org.apache.hc.core5.http.HttpHost host, String path)`
`static org.apache.hc.core5.http.message.BasicHttpRequest` `get(String uri)`
`static org.apache.hc.core5.http.message.BasicHttpRequest` `get(URI uri)`
`static org.apache.hc.core5.http.message.BasicHttpRequest` `head(org.apache.hc.core5.http.HttpHost host, String path)`
`static org.apache.hc.core5.http.message.BasicHttpRequest` `head(String uri)`
`static org.apache.hc.core5.http.message.BasicHttpRequest` `head(URI uri)`
`static org.apache.hc.core5.http.message.BasicHttpRequest` `options(org.apache.hc.core5.http.HttpHost host, String path)`
`static org.apache.hc.core5.http.message.BasicHttpRequest` `options(String uri)`
`static org.apache.hc.core5.http.message.BasicHttpRequest` `options(URI uri)`
`static org.apache.hc.core5.http.message.BasicHttpRequest` `patch(org.apache.hc.core5.http.HttpHost host, String path)`
`static org.apache.hc.core5.http.message.BasicHttpRequest` `patch(String uri)`
`static org.apache.hc.core5.http.message.BasicHttpRequest` `patch(URI uri)`
`static org.apache.hc.core5.http.message.BasicHttpRequest` `post(org.apache.hc.core5.http.HttpHost host, String path)`
`static org.apache.hc.core5.http.message.BasicHttpRequest` `post(String uri)`
`static org.apache.hc.core5.http.message.BasicHttpRequest` `post(URI uri)`
`static org.apache.hc.core5.http.message.BasicHttpRequest` `put(org.apache.hc.core5.http.HttpHost host, String path)`
`static org.apache.hc.core5.http.message.BasicHttpRequest` `put(String uri)`
`static org.apache.hc.core5.http.message.BasicHttpRequest` `put(URI uri)`
`static org.apache.hc.core5.http.message.BasicHttpRequest` `trace(org.apache.hc.core5.http.HttpHost host, String path)`
`static org.apache.hc.core5.http.message.BasicHttpRequest` `trace(String uri)`
`static org.apache.hc.core5.http.message.BasicHttpRequest` `trace(URI uri)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BasicHttpRequests

    public BasicHttpRequests()

### Method Detail

#### create

    public static org.apache.hc.core5.http.message.BasicHttpRequest create(String method,
                                                           String uri)

Creates a new BasicHttpRequest for the given `method` and `String` URI.

Parameters:
  `method` - A method supported by this class.
  `uri` - a non-null request string URI.
Returns:
  A new BasicHttpRequest.

#### create

    public static org.apache.hc.core5.http.message.BasicHttpRequest create(String method,
                                                           URI uri)

Creates a new BasicHttpRequest for the given `method` and `URI`.

Parameters:
  `method` - A method supported by this class.
  `uri` - a non-null request URI.
Returns:
  A new BasicHttpRequest.

#### delete

    public static org.apache.hc.core5.http.message.BasicHttpRequest delete(String uri)

#### delete

    public static org.apache.hc.core5.http.message.BasicHttpRequest delete(URI uri)

#### delete

    public static org.apache.hc.core5.http.message.BasicHttpRequest delete(org.apache.hc.core5.http.HttpHost host,
                                                           String path)

#### get

    public static org.apache.hc.core5.http.message.BasicHttpRequest get(String uri)

#### get

    public static org.apache.hc.core5.http.message.BasicHttpRequest get(URI uri)

#### get

    public static org.apache.hc.core5.http.message.BasicHttpRequest get(org.apache.hc.core5.http.HttpHost host,
                                                        String path)

#### head

    public static org.apache.hc.core5.http.message.BasicHttpRequest head(String uri)

#### head

    public static org.apache.hc.core5.http.message.BasicHttpRequest head(URI uri)

#### head

    public static org.apache.hc.core5.http.message.BasicHttpRequest head(org.apache.hc.core5.http.HttpHost host,
                                                         String path)

#### options

    public static org.apache.hc.core5.http.message.BasicHttpRequest options(String uri)

#### options

    public static org.apache.hc.core5.http.message.BasicHttpRequest options(URI uri)

#### options

    public static org.apache.hc.core5.http.message.BasicHttpRequest options(org.apache.hc.core5.http.HttpHost host,
                                                            String path)

#### patch

    public static org.apache.hc.core5.http.message.BasicHttpRequest patch(String uri)

#### patch

    public static org.apache.hc.core5.http.message.BasicHttpRequest patch(URI uri)

#### patch

    public static org.apache.hc.core5.http.message.BasicHttpRequest patch(org.apache.hc.core5.http.HttpHost host,
                                                          String path)

#### post

    public static org.apache.hc.core5.http.message.BasicHttpRequest post(String uri)

#### post

    public static org.apache.hc.core5.http.message.BasicHttpRequest post(URI uri)

#### post

    public static org.apache.hc.core5.http.message.BasicHttpRequest post(org.apache.hc.core5.http.HttpHost host,
                                                         String path)

#### put

    public static org.apache.hc.core5.http.message.BasicHttpRequest put(String uri)

#### put

    public static org.apache.hc.core5.http.message.BasicHttpRequest put(URI uri)

#### put

    public static org.apache.hc.core5.http.message.BasicHttpRequest put(org.apache.hc.core5.http.HttpHost host,
                                                        String path)

#### trace

    public static org.apache.hc.core5.http.message.BasicHttpRequest trace(String uri)

#### trace

    public static org.apache.hc.core5.http.message.BasicHttpRequest trace(URI uri)

#### trace

    public static org.apache.hc.core5.http.message.BasicHttpRequest trace(org.apache.hc.core5.http.HttpHost host,
                                                          String path)

#### create

    public static org.apache.hc.core5.http.message.BasicHttpRequest create(org.apache.hc.core5.http.Method method,
                                                           String uri)

Creates a request object of the exact subclass of `BasicHttpRequest`.

Parameters:
  `uri` - a non-null URI String.
Returns:
  a new subclass of BasicHttpRequest

#### create

    public static org.apache.hc.core5.http.message.BasicHttpRequest create(org.apache.hc.core5.http.Method method,
                                                           URI uri)

Creates a request object of the exact subclass of `BasicHttpRequest`.

Parameters:
  `uri` - a non-null URI.
Returns:
  a new subclass of BasicHttpRequest

#### create

    public static org.apache.hc.core5.http.message.BasicHttpRequest create(org.apache.hc.core5.http.Method method,
                                                           org.apache.hc.core5.http.HttpHost host,
                                                           String path)

Creates a request object of the exact subclass of `BasicHttpRequest`.

Parameters:
  `host` - HTTP host.
  `path` - request path.
Returns:
  a new subclass of BasicHttpRequest